Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortletDefinitionHome

public interface PortletDefinitionHome
extends BaseHome

EJB home interface for PortletDefinition.

Method Summary
`PortletDefinition` | `create(PortalDefinitionPK pk, java.lang.String aContentURL)` Create.
`java.util.Enumeration` | `findAll()` Find all PortalDefinitions.
`PortletDefinition` | `findByPrimaryKey(PortalDefinitionPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortletDefinition create(PortalDefinitionPK pk,
                                    java.lang.String aContentURL)
                             throws javax.ejb.CreateException,
                                    java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url.
  Returns:
    `PortletDefinition` the created object.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortletDefinition findByPrimaryKey(PortalDefinitionPK pk)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortletDefinition` the PortletDefinition.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findAll

    public java.util.Enumeration findAll()
                                  throws javax.ejb.FinderException,
                                         java.rmi.RemoteException

  Find all PortalDefinitions.
  Returns:
    `Enumeration` all portal definitions.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved